Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#10516 closed Bug Report - General (Won't Fix)

Duplicate recordings when creating manual recording

Reported by: James <burchj2@…> Owned by: gigem
Priority: minor Milestone: unknown
Component: MythTV - Recording Version: Unspecified
Severity: medium Keywords: Manual, Custom, recording
Cc: Ticket locked: no

Description

Hi I've been getting some odd behavior with a manual recording.

I need to do a manual recording between 18:30 - 19:00 called ITV News. Now this is a real show in the EIT guide but the name is too long for post jobs to deal with, so I set up the manual recording shortening the name to ITV News. However when the recording's take place I get 4 programs recorded 2 called ITV News and 2 called ITV News & Weather. Of these 4 only 2 have physical presence so you get one of each news but a duplicate entry in the recorded programs list. Is there any idea what might be going on?

Change History (7)

comment:1 Changed 8 years ago by James <burchj2@…>

Sorry forgot to add MythTV ver - v0.24.1-80-g1de0431

comment:2 Changed 8 years ago by gigem

Status: newinfoneeded_new

I vaguely recall another problem like this. I suspect you have overlapping rules, the manual one and one that matches ITV News Weather. That would explain the two real recordings. IIRC the other problem correctly, the extra displayed recordings is a display issue caused by the way some database tables are indexed and isn't easily fixable.

Can you please humor me and provide the output from the following MySQL command:

select * from record where title like '%itv%'\G

and the output from the following MythTV command:

mythbackend --testsched

comment:3 Changed 8 years ago by James <burchj2@…>

2012-03-28 08:53:37.966 mythbackend version: fixes/0.24 [v0.24.1-80-g1de0431] www.mythtv.org
2012-03-28 08:53:37.990 Using runtime prefix = /usr
2012-03-28 08:53:37.991 Using configuration directory = /home/jomec/.mythtv
2012-03-28 08:53:38.033 Empty LocalHostName.
2012-03-28 08:53:38.033 Using localhost value of mythtv
2012-03-28 08:53:38.096 New DB connection, total: 1
2012-03-28 08:53:38.138 Connected to database 'mythconverg' at host: localhost
2012-03-28 08:53:38.142 Closing DB connection named 'DBManager0'
2012-03-28 08:53:38.143 Connected to database 'mythconverg' at host: localhost
2012-03-28 08:53:38.171 Current locale EN_GB
2012-03-28 08:53:38.182 Reading locale defaults from /usr/share/mythtv//locales/en_gb.xml
2012-03-28 08:53:38.227 New DB DataDirect connection
2012-03-28 08:53:38.227 Connected to database 'mythconverg' at host: localhost
Calculating Schedule from database.
Inputs, Card IDs, and Conflict info may be invalid if you have multiple tuners.
2012-03-28 08:53:38.704 Speculative scheduled 36 items in 0.4 = 0.06 match + 0.39 place
--- print list start ---
Title - Subtitle                    Ch Station Day Start  End   S C I  T N Pri
5 News at 5                           5 Channel 28 17:00-17:30  1 1 1  T 1 0
BBC News at Six                       1 BBC ONE 28 17:59-18:31  1 1 1  T 1 0
82 (Sky News) - Wed Mar 28 18:00:0   82 Sky New 28 18:00-18:30  1 3 3  T 3 0
ITV News - Wed Mar 28 18:30:00 201    3 ITV1 Wa 28 18:30-19:00  1 3 3  T 3 0
Channel 4 News                        8 Channel 28 19:00-19:55  1 1 1  T 1 0
5 News at 5                           5 Channel 29 17:00-17:30  1 1 1  T 1 0
BBC News at Six                       1 BBC ONE 29 17:59-18:31  1 1 1  T 1 0
82 (Sky News) - Thu Mar 29 18:00:0   82 Sky New 29 18:00-18:30  1 3 3  T 3 0
ITV News - Thu Mar 29 18:30:00 201    3 ITV1 Wa 29 18:30-19:00  1 3 3  T 3 0
Channel 4 News                        8 Channel 29 19:00-19:55  1 1 1  T 1 0
5 News at 5                           5 Channel 30 17:00-17:30  1 1 1  T 1 0
BBC News at Six                       1 BBC ONE 30 17:59-18:31  1 1 1  T 1 0
82 (Sky News) - Fri Mar 30 18:00:0   82 Sky New 30 18:00-18:30  1 3 3  T 3 0
ITV News - Fri Mar 30 18:30:00 201    3 ITV1 Wa 30 18:30-19:00  1 3 3  T 3 0
Channel 4 News                        8 Channel 30 19:00-19:55  1 1 1  T 1 0
5 News at 5                           5 Channel 02 17:00-17:30  1 1 1  T 1 0
BBC News at Six                       1 BBC ONE 02 17:59-18:31  1 0 0  T R 0
82 (Sky News) - Mon Apr 2 18:00:00   82 Sky New 02 18:00-18:30  1 1 1  T 1 0
ITV News - Mon Apr 2 18:30:00 2012    3 ITV1 Wa 02 18:30-19:00  1 1 1  T 1 0
Channel 4 News                        8 Channel 02 19:00-19:55  1 1 1  T 1 0
5 News at 5                           5 Channel 03 17:00-17:30  1 1 1  T 1 0
BBC News at Six                       1 BBC ONE 03 17:59-18:31  1 0 0  T R 0
82 (Sky News) - Tue Apr 3 18:00:00   82 Sky New 03 18:00-18:30  1 1 1  T 1 0
ITV News - Tue Apr 3 18:30:00 2012    3 ITV1 Wa 03 18:30-19:00  1 1 1  T 1 0
Channel 4 News                        8 Channel 03 19:00-19:55  1 1 1  T 1 0
5 News at 5                           5 Channel 04 17:00-17:30  1 1 1  T 1 0
BBC News at Six                       1 BBC ONE 04 17:59-18:31  1 0 0  T R 0
82 (Sky News) - Wed Apr 4 18:00:00   82 Sky New 04 18:00-18:30  1 1 1  T 1 0
ITV News - Wed Apr 4 18:30:00 2012    3 ITV1 Wa 04 18:30-19:00  1 1 1  T 1 0
Channel 4 News                        8 Channel 04 19:00-19:55  1 1 1  T 1 0
82 (Sky News) - Thu Apr 5 18:00:00   82 Sky New 05 18:00-18:30  1 1 1  T 1 0
ITV News - Thu Apr 5 18:30:00 2012    3 ITV1 Wa 05 18:30-19:00  1 1 1  T 1 0
82 (Sky News) - Fri Apr 6 18:00:00   82 Sky New 06 18:00-18:30  1 1 1  T 1 0
ITV News - Fri Apr 6 18:30:00 2012    3 ITV1 Wa 06 18:30-19:00  1 1 1  T 1 0
82 (Sky News) - Mon Apr 9 18:00:00   82 Sky New 09 18:00-18:30  1 1 1  T 1 0
ITV News - Mon Apr 9 18:30:00 2012    3 ITV1 Wa 09 18:30-19:00  1 1 1  T 1 0
---  print list end  ---
Last edited 8 years ago by sphery (previous) (diff)

comment:4 Changed 8 years ago by James <burchj2@…>

It's a mess sorry. I tried to add attachment but I keep getting rejected because of SPAM tagging. The mysql output follows.

recordid: 104
type: 2
chanid: 1003
starttime: 18:30:00
startdate: 2012-03-21
endtime: 19:00:00
enddate: 2012-03-21
title: ITV News
subtitle: 2012-03-21 18:30:00 (30 mins)
description: Manually scheduled
category: Manual recording
profile: Default
recpriority: 0
autoexpire: 1
maxepisodes: 0
maxnewest: 0
startoffset: 0
endoffset: 0
recgroup: Default
dupmethod: 8
dupin: 15
station: ITV1 Wales
seriesid:
programid:
search: 5
autotranscode: 0
autocommflag: 0
autouserjob1: 0
autouserjob2: 1
autouserjob3: 0
autouserjob4: 0
findday: 3
findtime: 18:03:00
findid: 734949
inactive: 0
parentid: 0
transcoder: 0
playgroup: Default
prefinput: 0
next_record: 0000-00-00 00:00:00
last_record: 2012-03-27 18:30:06
last_delete: 0000-00-00 00:00:00
storagegroup: Making and Shaping of News
avg_delay: 100
Last edited 8 years ago by sphery (previous) (diff)

comment:5 Changed 8 years ago by James <burchj2@…>

If you can supply an email address I'll send proper formatted attachments?

Thanks

comment:6 Changed 8 years ago by gigem

Owner: changed from danielk to gigem

comment:7 Changed 8 years ago by gigem

Resolution: Won't Fix
Status: infoneeded_newclosed

As suspected, this is primarily a known display issue caused by the ambiguity of using chanid and starttime as a primary key in some places. When manual and regular recordings occur at the same time, some parts of the MythTV get confused. This should be fixed in a future version when a planned schema upgrade fixes the ambiguity. The submitter has conformed that starting the manual recording 1 minute earlier resolved the issue for now.

Note: See TracTickets for help on using tickets.